List events
curl --request GET \
--url https://ems-api.aventia.africa/api/public/v1/events \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ems-api.aventia.africa/api/public/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ems-api.aventia.africa/api/public/v1/events"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ems-api.aventia.africa/api/public/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ems-api.aventia.africa/api/public/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"ends_at": "<string>",
"format": "in_person",
"id": "<string>",
"location": "<string>",
"name": "<string>",
"starts_at": "<string>",
"status": "<string>",
"timezone": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "Not Found"
}Events
List events
Your organisation’s events, earliest first. Needs the events:read scope.
GET
/
api
/
public
/
v1
/
events
List events
curl --request GET \
--url https://ems-api.aventia.africa/api/public/v1/events \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ems-api.aventia.africa/api/public/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ems-api.aventia.africa/api/public/v1/events"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ems-api.aventia.africa/api/public/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ems-api.aventia.africa/api/public/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"ends_at": "<string>",
"format": "in_person",
"id": "<string>",
"location": "<string>",
"name": "<string>",
"starts_at": "<string>",
"status": "<string>",
"timezone": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "Not Found"
}Authorizations
Your API key pair from Settings › API keys: public key as the username, secret key as the password.
Query Parameters
next_cursor from the previous page
Page size (default 25, max 100)